body {
    overflow: hidden;
}

.swiper-container {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
}

.swiper-slide {
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.poem-image {
    width: 50%;
    height: 100%;
    float: left;
    position: relative;
    display: block; 
    background: #312f2e;
}

.poem-image .image {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 900;
    background-size: cover;
    background-position: center center;
    opacity: 0.8;
}

.poem-text {
    width: 50%;
    height: 100%;
    float: left;
    display: block;
    position: relative;
}

.poem-text .wrapper {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    text-align: left;
    width: 65%;
    opacity: 0;
}

.ie .poem-text .wrapper {
    opacity: 1; 
}

.poem-text .text {
    color: #fff;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-smooth: always;
}

.swiper-slide-active .poem-text .wrapper {
	-webkit-animation-name: textFade;
	-webkit-animation-duration: 2s;
	-webkit-animation-name: textFade;
	animation-name: textFade;
	-webkit-animation-duration: 2s;
	animation-duration: 2s;
	-webkit-animation-fill-mode: forwards;
}

.swiper-arrow-down,
.swiper-arrow-prev {
    width: 33px;
    height: 54px;
    position: absolute;
    bottom: 20px;
    background-image: url("img/arrow-down-light.png");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    overflow: hidden;
    left: 50%;
    margin-left: -16px;
    z-index: 10;
    cursor: pointer;

    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -ms-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

.swiper-arrow-down:hover {
    bottom: 15px;
}

.swiper-arrow-prev {
    display: none;
}

.swiper-arrow-wrapper.mobile {
    display: none;
}

.swiper-arrow-wrapper.desktop {
    display: block;
}

.share-wrapper {
    position: absolute;
    z-index: 999;
    width: 100%;
    height: 100%;
}

.share {
    height: 36px;
    background: #fff;
    width: 81px;
    overflow: hidden;
    text-align: center;
    border-radius: 3px;
    position: absolute;
    bottom: 18px;
    left: 60px;
    padding-bottom: 10px;

    display: flex;
    justify-content: center;
    align-items: center;

    opacity: 0;
    -webkit-transition: all 700ms ease-in-out;
    -moz-transition: all 700ms ease-in-out;
    -ms-transition: all 700ms ease-in-out;
    -o-transition: all 700ms ease-in-out;
    transition: all 700ms ease-in-out;
}

.share-wrapper.active .share {
    opacity: 1;
}

.icon_social {
    width: 30px; 
    height: 30px;
    bottom: 20px; 
    left: 20px;
    position: absolute;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}
.icon.icon-ico-share {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 0;
    fill: #fff;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    -webkit-transform: scale(1,1);
    transform: scale(1,1);
    cursor: pointer;
    -webkit-tap-highlight-color: rgba(0,0,0,0);

    -webkit-transition: all 600ms ease-in-out;
    -moz-transition: all 600ms ease-in-out;
    -ms-transition: all 600ms ease-in-out;
    -o-transition: all 600ms ease-in-out;
    transition: all 600ms ease-in-out;
}

.share-wrapper.active .icon.icon-ico-share {
    -ms-transform: rotate(180deg); 
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
}

.icon.icon-ico-share:hover {
    -webkit-transform: scale(1.08,1.08);
    transform: scale(1.08,1.08);
}

.share-wrapper.mobile {
    display: none;
}

@-webkit-keyframes textFade {
	0% { opacity: 0; }
  	100% {opacity: 1; } 
}

@keyframes textFade {
	0% { opacity: 0; }
  	100% {opacity: 1; } 
}


@media screen and (max-width: 1200px) {
    body {
        overflow-y: scroll;
        background: #fff;
        color: #000;
    }

    .share {
        padding-bottom: 3wpx; 
    }

    .swiper-container {
        overflow-y: scroll;
        height: auto;
    }
    
    .swiper-slide { 
        display: block;
        overflow-y: scroll;
    }

    .poem-text {
        padding: 25px;
        padding-bottom: 0;
        width: 100%;
        height: auto;
        float: none;
        font-size: 15px;
        line-height: 23px;
    }

    .poem-text .wrapper {
        top: 0;
        transform: translate(-50%, 0%);
        -ms-transform: translate(-50%, 0%);
        -webkit-transform: translate(-50%, 0%);
        position: relative;
        width: 100%
    }

    .poem-image {
        width: 100%;
        height: auto;
        position: relative;
        float: none;
        margin: 0px auto;
    }

    .poem-image:after {
        content: "";
        display: block;
        clear: both;
        padding-bottom: 100%;
    }

    .share-wrapper.mobile {
        display: block; 
        position: relative;
        height: auto;
        text-align: center;
    }

    .share-wrapper.mobile .icon_social {
        bottom: 0;
        left: 0;
        position: relative;
        height: 20px; 
        width: 20px;
    }

    .share-wrapper.mobile .icon_social .icon.icon-ico-share {
        fill: black;
        position: relative;
        height: 20px; 
        width: 20px;

        -webkit-transition: none;
        -moz-transition: none;
        -ms-transition: none;
        -o-transition: none;
        transition: none;
    }

    .share-wrapper.active .icon.icon-ico-share {
        -ms-transform: none;
        -webkit-transform: none;
        transform: none;
    }

    .icon.icon-ico-share:hover {
        -ms-transform: none;
        -webkit-transform: none;
        transform: none;
        opacity: 1;
    }

    .swiper-arrow-wrapper {
        height: 70px;
        position: relative;
    }

    .swiper-arrow-wrapper:after {
        content: "";
        display: table;
        clear: both;
    }

    .swiper-arrow-down,
    .swiper-arrow-prev {
        display: block;
        width: 26px;
        height: 18px;
        top: 0;
        left: 0;
        margin-left: 0;
        position: relative;
        z-index: 1001;
        margin: 0 25px 0 25px;
        -webkit-tap-highlight-color: rgba(0,0,0,0);
    }

    .swiper-arrow-down {
        background-image: url("img/arrow-right-dark.png");
        right: 0;
        float: right;
    }

    .swiper-arrow-prev {
        background-image: url("img/arrow-left-dark.png");
        float: left;
    }

    .swiper-arrow-prev.disabled {
        opacity: 0.3;
        cursor: default;
    }

    .swiper-arrow-wrapper.mobile {
        display: block;
        margin-top: 30px;
    }

    .swiper-arrow-wrapper.desktop {
        display: none;
    }

    .share-wrapper.desktop {
        display: none;
    }

    @media screen and (min-height: 650px) {
        .poem-image {
            width: 300px;
            height: 300px;
        }
    }
}